### Method

# GIRepository CallableInfo load_arg

since: 2.80

#### Declaration

    void
    gi_callable_info_load_arg (
      GICallableInfo* info,
      unsigned int n,
      GIArgInfo* arg
    )

#### Description

Obtain information about a particular argument of this callable; this function is a variant of `gi_callable_info_get_arg()` designed for stack allocation.

The initialized `arg` must not be referenced after `info` is deallocated.

Once you are done with `arg`, it must be cleared using `gi_base_info_clear()`.

Available since: 2.80

#### Parameters

`n`

  Type: `unsigned int`

  The argument index to fetch.

`arg`

  Type: `GIArgInfo`

  Initialize with argument number `n`.

  The argument will be set by the function.
  The data is owned by the instance.